Skip to main content
POST
Create a container

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
name
string
required

name is case insensitive

registry_id
string
required

id of the linked registry

image_name
string
required

The image name pattern differs according to chosen container registry provider:

  • ECR: repository
  • SCALEWAY_CR: namespace/image
  • DOCKER_HUB: image or repository/image
  • PUBLIC_ECR: registry_alias/repository
tag
string
required

tag of the image container

healthchecks
object
required
storage
object[]
ports
object[]
description
string

give a description to this container

arguments
string[]
entrypoint
string

optional entrypoint when launching container

cpu
integer
default:500

unit is millicores (m). 1000m = 1 cpu

Example:

1250

memory
integer
default:512

unit is MB. 1024 MB = 1GB

Example:

1024

gpu
integer
default:0
Required range: x >= 0
Example:

1

ephemeral_storage_in_gib
integer

Ephemeral storage of the service in GiB. When omitted, the platform default is used.

Required range: x >= 0
Example:

10

cpu_architecture
enum<string> | null

CPU architecture to run this service on. If null, the cluster default architecture is used.

Available options:
AMD64,
ARM64
min_running_instances
integer
default:1

Minimum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: 0 means that there is no container running.

Required range: x >= 0
max_running_instances
integer
default:1

Maximum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: -1 means that there is no limit.

auto_preview
boolean

Indicates if the 'environment preview option' is enabled for this container.
If enabled, a preview environment will be automatically cloned when /preview endpoint is called.
If not specified, it takes the value of the auto_preview property from the associated environment.

auto_deploy
boolean | null

Specify if the container will be automatically updated after receiving a new image tag. The new image tag shall be communicated via the "Auto Deploy container" endpoint https://api-doc.qovery.com/#tag/Containers/operation/autoDeployContainerEnvironments

annotations_groups
object[]
labels_groups
object[]
icon_uri
string<uri>

Icon URI representing the container.

autoscaling
AutoscalingPolicyRequest · object

Response

Create container

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
image_name
string
required

The image name pattern differs according to chosen container registry provider:

  • ECR: repository
  • SCALEWAY_CR: namespace/image
  • DOCKER_HUB: image or repository/image
  • PUBLIC_ECR: registry_alias/repository
tag
string
required

tag of the image container

registry
object
required
environment
object
required
maximum_cpu
integer
required

Maximum cpu that can be allocated to the container based on organization cluster configuration. unit is millicores (m). 1000m = 1 cpu

Example:

16000

maximum_memory
integer
required

Maximum memory that can be allocated to the container based on organization cluster configuration. unit is MB. 1024 MB = 1GB

Example:

16384

maximum_gpu
integer
default:0
required

Maximum memory that can be allocated to the container based on organization cluster configuration. unit is MB. 1024 MB = 1GB

Required range: x >= 0
Example:

2

name
string
required

name is case insensitive

cpu
integer
required

unit is millicores (m). 1000m = 1 cpu

Example:

1250

memory
integer
required

unit is MB. 1024 MB = 1GB

Example:

1024

gpu
integer
default:0
required
Required range: x >= 0
Example:

1

min_running_instances
integer
default:1
required

Minimum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: 0 means that there is no container running.

Required range: x >= 0
max_running_instances
integer
default:1
required

Maximum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: -1 means that there is no limit.

healthchecks
object
required
auto_preview
boolean
required

Indicates if the 'environment preview option' is enabled for this container.
If enabled, a preview environment will be automatically cloned when /preview endpoint is called.
If not specified, it takes the value of the auto_preview property from the associated environment.

icon_uri
string<uri>
required

Icon URI representing the container.

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
updated_at
string<date-time>
read-only
storage
object[]
registry_id
string

tag of the image container

description
string

give a description to this container

arguments
string[]
entrypoint
string

optional entrypoint when launching container

ephemeral_storage_in_gib
integer

Ephemeral storage of the service in GiB. When omitted, the platform default is used.

Required range: x >= 0
Example:

10

cpu_architecture
enum<string> | null

CPU architecture this service runs on. If null, the cluster default architecture is used.

Available options:
AMD64,
ARM64
ports
object[]
auto_deploy
boolean

Specify if the container will be automatically updated after receiving a new image tag. The new image tag shall be communicated via the "Auto Deploy container" endpoint https://api-doc.qovery.com/#tag/Containers/operation/autoDeployContainerEnvironments

annotations_groups
object[]
labels_groups
object[]
autoscaling
AutoscalingPolicyResponse · object